Subject: Re: bug#9079: integer overflow etc. issues (e.g., image crashes Emacs)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jul 2011 04:47:23 -0400

> Date: Thu, 14 Jul 2011 00:55:39 -0700
> From: Paul Eggert <[email-masked]>
> 
> I examined more of the Emacs C source code, looking for problems with
> integer overflow and signedness issues, and found several issues,
> all fixed in the patch below.

Thanks, but please don't install the changes to bidi.c.  That file is
changed considerably on my local branch, as part of my work on bidi
reordering of display string, and I plan to merge it with the trunk in
a day or two.  Your changes will just get in the way of the merge,
which currently holds off the pretest.

Once the merge is done, I will see if any of your changes are still
applicable, and install them then.

TIA